<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formCiudades" >
                <h:panelGroup id="messagePanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
                <h:outputText escape="false" value="#{bundle.ListCiudadEmpty}" rendered="#{ciudadController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{ciudadController.items.rowCount > 0}">
                    <p:dataTable id="tablaCiudades" sortMode="multiple" value="#{ciudadController.items}" var="item" 
                                 widgetVar="tablaCiudad" emptyMessage="No hay Inventario disponibles" paginator="true" rows="10"
                                 rowKey="#{item.itemId}" >
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListCiudadTitle_ciudadId}"/>
                            </f:facet>
                            <h:outputText value="#{item.ciudadId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListCiudadTitle_ciudadNombre}"/>
                            </f:facet>
                            <h:outputText value="#{item.ciudadNombre}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListCiudadTitle_ciudadCodPost}"/>
                            </f:facet>
                            <h:outputText value="#{item.ciudadCodPost}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListCiudadTitle_ciudadDepartamentoId}"/>
                            </f:facet>
                            <h:outputText value="#{item.ciudadDepartamentoId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                             <p:commandButton action="#{ciudadController.prepareEdit}" value="#{bundle.ListCiudadEditLink}" 
                                              oncomplete="PF('dlgCiudad').show();" process="@this" update=":tabViewAdmin:departamentosPanel:dialogCiudad"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{ciudadController.destroy}" value="#{bundle.ListCiudadDestroyLink}"
                                           process="@this" update=":tabViewAdmin:departamentosPanel:formCiudades:tablaCiudades">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog>
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogCiudad" position="center" header="Ciudad #{ciudadController.selected.ciudadNombre}" modal="true"
                      widgetVar="dlgCiudad"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/ciudad/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
